<?php
// Control core classes for avoid errors
if(class_exists('CSF')) {

	// Prefix slug (ID) for theme settings.
	$prefix = 'vinkmag_section_theme_settings';

	// Create customize options
	CSF::createCustomizeOptions($prefix);

	// Creating theme settings parent section
	CSF::createSection($prefix, array(
		'id'       => 'theme_settings', // Parent slug for assigning items inside this tab.
		'title'    => esc_html__('Theme Settings', 'vinkmag'),
		'priority' => 1,
	));

}