<?php if(!defined('ABSPATH')) {
	die('Direct access forbidden.');
}
/**
 * Customizer Option: Optimize
 */
CSF::createSection($prefix, [
	'parent' => 'theme_settings',
	'title'  => esc_html__('Optimize Settings', 'vinkmag'),
	'fields' => [
		[
			'id'       => 'dashicons_off',
			'type'     => 'switcher',
			'title'    => esc_html__('Load Dashicons', 'vinkmag'),
			'subtitle' => '',
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'       => 'elementor_icons_off',
			'type'     => 'switcher',
			'title'    => esc_html__('Load Elementor Icons', 'vinkmag'),
			'subtitle' => '',
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'       => 'wp_block_library_off',
			'type'     => 'switcher',
			'title'    => esc_html__('Load Wp Lock Library', 'vinkmag'),
			'subtitle' => '',
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'       => 'fontawesome_off',
			'type'     => 'switcher',
			'title'    => esc_html__('Load FontAwesome', 'vinkmag'),
			'subtitle' => '',
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
		[
			'id'       => 'wur_css_off',
			'type'     => 'switcher',
			'title'    => esc_html__('Load Wp Review Plugin CSS', 'vinkmag'),
			'subtitle' => '',
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'vinkmag'),
			'text_off' => esc_html__('No', 'vinkmag'),
		],
	],
]);