<?php


function vinkmag_reading_progressbar() {
   $reading_progressbar_flag = false;

   $reading_progressbar = !empty(vinkmag_option('blog_reading_pregressbar')) ? vinkmag_option('blog_reading_pregressbar') : false;
   if($reading_progressbar== false){
      return;
   }
   $post_type_area = !empty(vinkmag_option('blog_reading_progressbar_area')) ? vinkmag_option('blog_reading_progressbar_area') : 'post';


   $post_type_cls = '.main-container';
   if( $post_type_area == true && is_singular('post')){
      $reading_progressbar_flag = true;
      $post_type_cls = 'vinkmag-single-post';
   }else{
      return;
   }
   if(is_array($post_type_area)){
      if(in_array("all", $post_type_area)){
         $reading_progressbar_flag = true;
      }elseif(is_singular('post') && in_array("post", $post_type_area)){
         $reading_progressbar_flag = true;
         $post_type_cls = 'vinkmag-single-post';
      }elseif(is_singular('page') && in_array("page", $post_type_area)){
         $reading_progressbar_flag = true;
      }elseif(is_category() && in_array("category", $post_type_area)){
         $reading_progressbar_flag = true;
      }else{
         return;
      }
   }
   
  
 ?>
 
   <?php if($reading_progressbar_flag): ?>
      <?php if(is_singular('post')): //&& in_array("post", $post_type_area)): ?>  
         <div data-posttypecls="<?php echo esc_attr($post_type_cls); ?>" class="vinkmag_progress_container progress-container">
            <span class="progress-bar"></span>
        </div>
    <?php else: ?>


        <div class="reading-progressbar">
            <div class="progress-container">
                <div class="progress-bar" id="readingProgressbar"></div>
            </div>
        </div>
    <?php endif; endif; ?>

    <?php
}

add_action('wp_footer', 'vinkmag_reading_progressbar');