<?php
/*
 * Control core classes for avoid errors
 * */
if (class_exists('CSF')) {


        $option_list = [
            'default',
            'license',
        ];

        if ( theme_is_valid_license() ) {	
           
            $option_list = [
                'default',
                'general',
                'style',
                'header',
                'blocks',
                'blog',
                'page',
                'footer',
                'ads',
                'amp',
                'optimize',
            ];
        }

        // Include customizer options
        include_framework_options(
            $option_list,
            // Folder name
            "customizer",
        );

    // Include posts options
    include_framework_options(
        $option_list = [
            'posts',
            'pages',
        ],
        // Folder name
        "posts",
    );

    // Include taxonomies options
    include_framework_options(
        $option_list = [
            'category'
        ],
        // Folder name
        "taxonomies",
    );
}